# Distribute an HPP session Use this API to distribute to the Consumer a link to the Hosted Payment Page either by e-mail or SMS after you have created an HPP session. Read more on Distribute link to the HPP Session to the Consumer. Endpoint: POST /hpp/v1/sessions/{session_id}/distribution Version: 1.1 ## Path parameters: - `session_id` (string, required) HPP session id ## Request fields (application/json): - `contact_information` (object, required) - `contact_information.access_id` (string) Access Id for connection to HPP session. Only required if distribution method is 'token' Enum: "klarna:09f4a78d-d096-47d4-a0f6-abcf680c70fe", "467521087419", "278352" - `contact_information.email` (string) Email where to send the email with the HPP link. Only required if distribution method is 'email' Example: "test@example.com" - `contact_information.phone` (string) Phone number where to send the sms with the HPP link. Only required if distribution method is 'sms' Example: "07000212345" - `contact_information.phone_country` (string) ISO 3166 alpha-2 phone country. Only required if distribution method is 'sms' Example: "SE" - `method` (string, required) Method used for distribution Enum: "sms", "email", "token" - `template` (string) Template to use for distribution. In the current version this value is not used and might be removed in the future. Enum: "INSTORE_PURCHASE" ## Response 201 fields ## Response 204 fields ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 503 fields